interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 54570 characters]
        P4PdxJo+0QMA
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['36603']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:43:13 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjntxd.2.1505364192760.Z0FBQUFBQlp1Z2pobWxsQTNEVENQemhCTkg0ZmtFY0Q1ekJYTmZEQTd3ekFhQmVKRUl6RE10OF8xNGs5S2d2ZVhzY2tlRVhKcnZoRVYxUGt1cFk2LWM0eElCSkpsRllaenJiUkVocXRaMGdPT2RHc1NyVWlPMHZnMkRUVjJzcUhkc0pzV1B6Nmw5Ymk;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:43:13
          GMT; secure', 'session_tracker=CYvdZowKlZQXPKVSbD.0.1505364192756.Z0FBQUFBQlp1Z2poT3FIcFkyY1l5OHIzY2ZIcklVTk54V01SV0hrQjJoNWtDb0RfbUVhWVFrUkNZZUU2Nk1sMjZvS09NRFpzWTRRNEk1ekxKMzBKQ1hqNl9ZSU9FZXVhM2QzemNTa1JzV3llM2FFVEE2SjAzblNTUm9IQUp2cWFYekFBOGlQalB6QW0;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:43:13
          GMT; secure', edgebucket=sKpvfbOC7F47BZ5iLU; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1747-ORD]
      X-Timer: ['S1505364193.737531,VS0,VE389']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjntxd.2.1505364192760.Z0FBQUFBQlp1Z2pobWxsQTNEVENQemhCTkg0ZmtFY0Q1ekJYTmZEQTd3ekFhQmVKRUl6RE10OF8xNGs5S2d2ZVhzY2tlRVhKcnZoRVYxUGt1cFk2LWM0eElCSkpsRllaenJiUkVocXRaMGdPT2RHc1NyVWlPMHZnMkRUVjJzcUhkc0pzV1B6Nmw5Ymk;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:43:13
          GMT; secure', 'session_tracker=CYvdZowKlZQXPKVSbD.0.1505364192756.Z0FBQUFBQlp1Z2poT3FIcFkyY1l5OHIzY2ZIcklVTk54V01SV0hrQjJoNWtDb0RfbUVhWVFrUkNZZUU2Nk1sMjZvS09NRFpzWTRRNEk1ekxKMzBKQ1hqNl9ZSU9FZXVhM2QzemNTa1JzV3llM2FFVEE2SjAzblNTUm9IQUp2cWFYekFBOGlQalB6QW0;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:43:13
          GMT; secure', edgebucket=sKpvfbOC7F47BZ5iLU; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=bRjoTljXm6N%2BMRkyOLxClY3fsR8GZWztH0YpAflqwj5lqNceF7EOyCEmlTVLnsfC2cavnK9jbv4%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=sKpvfbOC7F47BZ5iLU; loid=00000000000drjntxd.2.1505364192760.Z0FBQUFBQlp1Z2pobWxsQTNEVENQemhCTkg0ZmtFY0Q1ekJYTmZEQTd3ekFhQmVKRUl6RE10OF8xNGs5S2d2ZVhzY2tlRVhKcnZoRVYxUGt1cFk2LWM0eElCSkpsRllaenJiUkVocXRaMGdPT2RHc1NyVWlPMHZnMkRUVjJzcUhkc0pzV1B6Nmw5Ymk;
          session_tracker=CYvdZowKlZQXPKVSbD.0.1505364192756.Z0FBQUFBQlp1Z2poT3FIcFkyY1l5OHIzY2ZIcklVTk54V01SV0hrQjJoNWtDb0RfbUVhWVFrUkNZZUU2Nk1sMjZvS09NRFpzWTRRNEk1ekxKMzBKQ1hqNl9ZSU9FZXVhM2QzemNTa1JzV3llM2FFVEE2SjAzblNTUm9IQUp2cWFYekFBOGlQalB6QW0]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 91800 characters]
        MXfFP/4LvupImZdjBQA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['61574']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:43:17 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1747-ORD]
      X-Timer: ['S1505364197.875813,VS0,VE828']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=CYvdZowKlZQXPKVSbD.0.1505364196892.Z0FBQUFBQlp1Z2psbUhabHRHVldpWFRYTUczbER5X1VUQy1qaDJXSHEtZ1hRQ0hFaXB3X3RZMzU5ZDJVeXNzZkNVcGgxZW4taWI1bEhXeEN3cExMNUlyZGRfWlBKc3h5NzFrZ3U2RWVQdkxpRGFUOW52aUh2VGlBSkxwVkw3akhtQzFLYkZBMVpFb2c;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:43:17
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=1tm3XPMeBjf8XOR%2Bwji2%2FVNkyiYvVtYD72FIRZNm7apZXiNUTuioiFZyvxO2z90PZ3oEWFDsfkA%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=sKpvfbOC7F47BZ5iLU; loid=00000000000drjntxd.2.1505364192760.Z0FBQUFBQlp1Z2pobWxsQTNEVENQemhCTkg0ZmtFY0Q1ekJYTmZEQTd3ekFhQmVKRUl6RE10OF8xNGs5S2d2ZVhzY2tlRVhKcnZoRVYxUGt1cFk2LWM0eElCSkpsRllaenJiUkVocXRaMGdPT2RHc1NyVWlPMHZnMkRUVjJzcUhkc0pzV1B6Nmw5Ymk;
          session_tracker=CYvdZowKlZQXPKVSbD.0.1505364196892.Z0FBQUFBQlp1Z2psbUhabHRHVldpWFRYTUczbER5X1VUQy1qaDJXSHEtZ1hRQ0hFaXB3X3RZMzU5ZDJVeXNzZkNVcGgxZW4taWI1bEhXeEN3cExMNUlyZGRfWlBKc3h5NzFrZ3U2RWVQdkxpRGFUOW52aUh2VGlBSkxwVkw3akhtQzFLYkZBMVpFb2c]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/new/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 80143 characters]
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['53740']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:43:19 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1747-ORD]
      X-Timer: ['S1505364199.514747,VS0,VE638']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=CYvdZowKlZQXPKVSbD.0.1505364198528.Z0FBQUFBQlp1Z2puWEtSMFdNZHVJdnZGN3ZhRTM4V2s3Y2dNcmNJVmtSX0VFVGJieTdZTEstMHlYUWIwOUVyUW9TM3dQWlMzNnR6X0ZmdEo2SzdWckFOTlhiTjhGdmFzNTE5X0dVVkVYZDV4Y1VWWHhPSVVXTVBCNmRsRTBxV2NuMF93SXBpQkhjeTk;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:43:19
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=uhdgbLEPeskr7ZOkLs4WtEakAsJhqPCPgA7zBT02MaqP%2BdYwy7vMWzd4Uau4j7Yj%2FIeivr%2F1CFE%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: grant_type=refresh_token&redirect_uri=http%3A%2F%2F127.0.0.1%3A65000%2F&refresh_token=**********
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Content-Length: ['122']
      Content-Type: [application/x-www-form-urlencoded]
      Cookie: [edgebucket=sKpvfbOC7F47BZ5iLU; loid=00000000000drjntxd.2.1505364192760.Z0FBQUFBQlp1Z2pobWxsQTNEVENQemhCTkg0ZmtFY0Q1ekJYTmZEQTd3ekFhQmVKRUl6RE10OF8xNGs5S2d2ZVhzY2tlRVhKcnZoRVYxUGt1cFk2LWM0eElCSkpsRllaenJiUkVocXRaMGdPT2RHc1NyVWlPMHZnMkRUVjJzcUhkc0pzV1B6Nmw5Ymk;
          session_tracker=CYvdZowKlZQXPKVSbD.0.1505364198528.Z0FBQUFBQlp1Z2puWEtSMFdNZHVJdnZGN3ZhRTM4V2s3Y2dNcmNJVmtSX0VFVGJieTdZTEstMHlYUWIwOUVyUW9TM3dQWlMzNnR6X0ZmdEo2SzdWckFOTlhiTjhGdmFzNTE5X0dVVkVYZDV4Y1VWWHhPSVVXTVBCNmRsRTBxV2NuMF93SXBpQkhjeTk]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: POST
    uri: https://api.reddit.com/api/v1/access_token/
  response:
    body: {string: '{"access_token": "sb6qgSkxFfgHYmVLzfU4JSNGv3w", "token_type":
        "bearer", "device_id": "None", "expires_in": 3600, "scope": "edit history
        identity mysubreddits privatemessages read report save submit subscribe vote"}'}
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Length: ['214']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:43:22 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1747-ORD]
      X-Timer: ['S1505364203.665878,VS0,VE39']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=CYvdZowKlZQXPKVSbD.0.1505364202680.Z0FBQUFBQlp1Z2pxZjlBWHlfbjVERi1ReTg0X2dubTZ0b3JxR1h4Y0lZX05oLWJlS2E3eU5JeDhHM1BKcXVnQ01qR2xjWlZITUh1dVlFTEZUTHZIaGltUTdWRFpjeXhMdmtqZFJxNmE5akxacndFMEx6Qnh2el9JR2thVTN3ZlZySW1lUUlPRWZ2NkE;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:43:22
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://oauth.reddit.com/api/v1/me.json
  response:
    body:
      string: !!binary |
        H4sIAOoIulkC/61W227cNhD9FWOfXdvS+rLJW5o6rdsiiIsWBVoUBCWNVsxSJMPLrneD/ntnKGpF
        OdsmBfJirDW8nDlz5nA+LoRj0Bup9wCLl2ctlw7OzxYtcB8sOPz0ceGA27pjJlRS1Mxb3raijhG9
        U2DxV1qywJ1bbgVXnj4q2LG0d0UheDJgRQ/KM9HggrIo/8bPdcdpubeBbm40U9rTLfVm+uo6vWO8
        N0wKlX2WYgus48aAEmqNG3dTTKj3UHuGIOZQLUjYclXDM7QWeo2n1Vq50ENzEvDVkgDzxoHdgmUW
        jLYeb55uXUdEzju2tngwEThihTWv9yMhxkKb5+HoGEbnihqYxVSDmeJ4I+PBawZPHhRBSYFeV0IC
        20HFPLdrmINpoOVBeuasY52WjQ6U6RdwgSR4qyUrTrFQ3BUDCwewG3a6XgEzcSyllbED2mgTJLdM
        qK8IqSyuCNKuEx7oUmiY6TPuhar0EwrYddM3PMFpxaU4cC+0ihXJtgSDBWxID3ojYiMcz/KAneFP
        EV5b7ZzRGDRWt1iZKVRJXW8Y8cKqfVLOFD0WGEGEvMAaVbTG+yhOncqFzLD0VPgnvKvXrNcNlyPl
        rMZWxeLg8j1rhOuFc6JCpQidbUcaucICwhZmUoWQ0mZG4zn7jBXfY6iPzFMrZptabVG5nfcmBzjo
        UyHF2BcVV0OVxxIQU5h0IotV4PkUxaQb4QN6E7GD/wmLDZ1RE3ylkawh1yjAWTHIfqRer3GjYjWv
        u0/TiWhPHJ2atOEo8MnvTpAexYCMe4HcJ2LcnGTDsegMU8g+WY3i6ntkpZ5HpgbJwJD3Ib54eoPS
        nnvg5+Fgja2OfZK2DGqrSfbZNbUFUFuBrD3XAzE5KBa1xJHTvMA8Nf+MexeqoXzMBpl3TxKEA08y
        zQLJTo6WysoshlC3wpN5Dv64s9jozxiKreUsaq3PQseOpCOjK2VlIPlBX0FuqBmbHKlG7dHOicLM
        qvDhQj1jP56fdKrylFMVqztyqozRVuavFlZBS/lJBf5/o39S9Mx7Tfc1vbe8GZ6DweE8WuN/VM4C
        HzHRLjJdfD+iA3CFC6etOJi44EyU/GKaTOKOWZuoICUxN0ou5hTVgEdE6KJCa6Wl4yECPzPRk2AH
        D3h5eVld+C70lbsYTsERQPAL7KHLu1fSbO+t3vrH4vZKv3izf3hofnh9aH8uN9/A+/rFqvztNrx7
        HQ4PFwabAM8fjO6LbzC/L399WG7l4XZTbx6+s++ul2/6n+T3fyxfPW31sj18+/a+qH80rn4cb8BS
        G8n3Ue3x6RJPkaZFuKyR8elV6/gB2JK2dEg9tYg4UH8k1kaeIuKcZ6QTtSiqoWOKoSDjQEH8TZXa
        wB55lpHhBd0U+zGmNy1qgI4zyXPisvHuPvjZ1XluMSX2mZQGnlNGGczn7w0aY3ySF/92XrCSwpeE
        7CSPl1l1E5F/FuXq6vxsubr+C2MjZn/DlvLD3e0sT41g+aDEhEjTGFmssuTTlH2CLrJ9dAsuLAPF
        scdzzqKiR0Tlze35Gf4hQJMT+70Z6EQ4dB4PjQBs9jTIPK/KJIAEl/qVvhuckGfdtEYvwcnUCBu5
        ykoRFSk/KK6jLGI7O6JzWs2Cp7c17UA6RCtyQyanROJo8MFdaHokx7R6Ym/yDAKT8xJpn1Z0OEWN
        lwzj1DyGi1n6Oh6hcTDryGePlre4L/W9/+WxbdpX7dvHqESBs2KL/sysrnQEOe6Pddtw21M3lOWK
        UMV5tMbphWhH9Qy25rUZFhL5Q9WyNyDCm0OLu2K3OaX1lvtoiGN01OIpIRNmfPD50HnFdXlTLovb
        66sLAhMLWk8A6FtanMoVN1yVq7QBB6w0u413j0PimPfqRcrgKKvjM/APhXUFzIQOAAA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['1418']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:43:22 GMT']
      Server: [snooserv]
      Set-Cookie: ['session_tracker=Bg0iZzCI4F38WuecW1.0.1505364202872.Z0FBQUFBQlp1Z2pxQkFFVm9wbzZFRjk0MjZnLUdSaEV4bTFqSDhuTmZMWUVEZlg4ZnhQTFVQZ2xsZURmVDk2NDY3cXlyWHZPdXVkd0pKckY2ck8zVFhEQXZDS2dqTkpqOUo3QUhHN3FpS3pFNzh0LVBFMUR3MU1qdjVyN0MwbUpkdUlYTHpGaklWUG0;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:43:22
          GMT; secure', edgebucket=pzp9WTm81QJDmzBxaW; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1731-ORD]
      X-Timer: ['S1505364203.853052,VS0,VE58']
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate, max-age=0,
          must-revalidate']
      expires: ['-1']
      set-cookie: ['session_tracker=Bg0iZzCI4F38WuecW1.0.1505364202872.Z0FBQUFBQlp1Z2pxQkFFVm9wbzZFRjk0MjZnLUdSaEV4bTFqSDhuTmZMWUVEZlg4ZnhQTFVQZ2xsZURmVDk2NDY3cXlyWHZPdXVkd0pKckY2ck8zVFhEQXZDS2dqTkpqOUo3QUhHN3FpS3pFNzh0LVBFMUR3MU1qdjVyN0MwbUpkdUlYTHpGaklWUG0;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:43:22
          GMT; secure', edgebucket=pzp9WTm81QJDmzBxaW; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['565.0']
      x-ratelimit-reset: ['398']
      x-ratelimit-used: ['35']
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Cookie: [edgebucket=pzp9WTm81QJDmzBxaW; session_tracker=Bg0iZzCI4F38WuecW1.0.1505364202872.Z0FBQUFBQlp1Z2pxQkFFVm9wbzZFRjk0MjZnLUdSaEV4bTFqSDhuTmZMWUVEZlg4ZnhQTFVQZ2xsZURmVDk2NDY3cXlyWHZPdXVkd0pKckY2ck8zVFhEQXZDS2dqTkpqOUo3QUhHN3FpS3pFNzh0LVBFMUR3MU1qdjVyN0MwbUpkdUlYTHpGaklWUG0]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://oauth.reddit.com/user/civilization_phaze_3/.json?sort=new&t=all&limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 31361 characters]
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['21029']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:43:23 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1731-ORD]
      X-Timer: ['S1505364203.950812,VS0,VE323']
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate, max-age=0,
          must-revalidate']
      expires: ['-1']
      set-cookie: ['loid=0000000000000lqnao.2.1425202840186.Z0FBQUFBQlp1Z2pyWmRIYlowTG42TzMxSW1WaDJRTGdxNndXajRNZU1uSlRrM0JHSklSUEVJeEp5YTNZU3dtMFFkN2pvMWxuTUtCM1M5RjBMbVo0OUFKbmZ0LVBWVzB1RFdfT0N1M1pUcTVEOG9NbnZkUVhTZmpTVkJUdU03aWhyZWUyMnc1eThVbXk;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:43:23
          GMT; secure', 'session_tracker=Bg0iZzCI4F38WuecW1.0.1505364202969.Z0FBQUFBQlp1Z2pybDFwTXMyRDZYR0RmN2t4QTBXTjd1cEhqaGllQ2d1ZWY3T0lCOHQ2azlad0ZUOUkwNkdXeEliZThlaXVzb1NidkRxaktwZGJvNjZ4MWRFZWx0QUVFak5kaUZsbks2aFFvY2pOQnZzR2FuVGJmY0p1X3JJYWd3aUV2d1YtRnFxMVo;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:43:23
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['564.0']
      x-ratelimit-reset: ['398']
      x-ratelimit-used: ['36']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=bgEUWBHHR52EvDa%2BxKtLClpZ0qa6GaGn9Ix%2B0yZY%2Brmpsn%2Bmn0EilUoS59AvVwCqIcLVdu3pXU82Kv3I9zKtRxjmiCAN7IlxZmwMwdxrQAG6nPWCDOXU7Q%3D%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Cookie: [edgebucket=pzp9WTm81QJDmzBxaW; session_tracker=Bg0iZzCI4F38WuecW1.0.1505364202969.Z0FBQUFBQlp1Z2pybDFwTXMyRDZYR0RmN2t4QTBXTjd1cEhqaGllQ2d1ZWY3T0lCOHQ2azlad0ZUOUkwNkdXeEliZThlaXVzb1NidkRxaktwZGJvNjZ4MWRFZWx0QUVFak5kaUZsbks2aFFvY2pOQnZzR2FuVGJmY0p1X3JJYWd3aUV2d1YtRnFxMVo;
          loid=0000000000000lqnao.2.1425202840186.Z0FBQUFBQlp1Z2pyWmRIYlowTG42TzMxSW1WaDJRTGdxNndXajRNZU1uSlRrM0JHSklSUEVJeEp5YTNZU3dtMFFkN2pvMWxuTUtCM1M5RjBMbVo0OUFKbmZ0LVBWVzB1RFdfT0N1M1pUcTVEOG9NbnZkUVhTZmpTVkJUdU03aWhyZWUyMnc1eThVbXk]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://oauth.reddit.com/user/civilization_phaze_3/saved.json?sort=new&t=all&limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 10455 characters]
        H6/t+I7/C3Y+JpNMjAAA
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['7026']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:43:23 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1731-ORD]
      X-Timer: ['S1505364204.530224,VS0,VE127']
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate, max-age=0,
          must-revalidate']
      expires: ['-1']
      set-cookie: ['session_tracker=Bg0iZzCI4F38WuecW1.0.1505364203553.Z0FBQUFBQlp1Z2pyb2N6QUtvUTdQb2htMlVIajByTVBraC11RzhqRXBsVUNfZ2hCTG9FbXIwSWxDakEzQ1pzcnJLNVZCaWtiTkhEbDNCeWJqWFhvdTdrdjVZYXc1bVE5R1Q5V1dzSGQ0NENYUEpIaW84c0FkRlgyd3lfSGpEbjhLcUNBQ3pTNUp6Sko;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:43:23
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['563.0']
      x-ratelimit-reset: ['397']
      x-ratelimit-used: ['37']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=GKafJnSt2VmJJFY8RbU5Pw42T7YfyNXRut7HF%2BoNeQUVyTgwVcrFC7QV0hyGouxnxSspsX4v%2FJtZCPEdy4Zvm%2B%2FgNBHDltDZIcER8WJlo3%2B9CnEwODDJCQ%3D%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
